当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [求助]升级 8.04后遇到update-manager的问题。
帖子发表于 : 2008-02-28 11:24 
头像

注册: 2007-08-19 16:41
帖子: 35
送出感谢: 0 次
接收感谢: 0 次
下面是终端给出的提示信息:
The following packages will be upgraded:
update-manager
1 upgraded, 0 newly installed, 0 to remove and 8 not upgraded.
Need to get 0B/895kB of archives.
After this operation, 57.3kB of additional disk space will be used.
(Reading database ... 123458 files and directories currently installed.)
Preparing to replace update-manager 1:0.81.2 (using .../update-manager_1%3a0.87.9_all.deb) ...
Traceback (most recent call last):
File "/usr/bin/pycentral", line 1674, in <module>
main()
File "/usr/bin/pycentral", line 1668, in main
rv = action.run(global_options)
File "/usr/bin/pycentral", line 1169, in run
pkg.prepare(used_runtimes, old_used_runtimes, old_pkg)
File "/usr/bin/pycentral", line 803, in prepare
rt.remove_byte_code(removed_fs)
AttributeError: 'NoneType' object has no attribute 'remove_byte_code'
dpkg: error processing /var/cache/apt/archives/update-manager_1%3a0.87.9_all.deb (--unpack):
subprocess pre-installation script returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/update-manager_1%3a0.87.9_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

我点击update-manager_1%3a0.87.9_all.deb,报告说有严重依赖关系错误,无法安装。请各位帮忙。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-03-01 18:04 

注册: 2006-11-28 17:52
帖子: 46
地址: SEU
送出感谢: 0 次
接收感谢: 0 次
我跟你一样的问题啊?咋办列?


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-03-02 11:52 

注册: 2007-11-27 22:20
帖子: 444
送出感谢: 0 次
接收感谢: 0 次
现在8.04的问题好像还蛮多的……


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-03-03 15:17 
头像

注册: 2007-08-27 10:46
帖子: 248
送出感谢: 0 次
接收感谢: 0 次
我的也是,都说依赖关系问题--仍未被配置


页首
 用户资料  
 
5 楼 
 文章标题 : 已找到解决办法
帖子发表于 : 2008-03-04 22:47 
头像

注册: 2007-08-19 16:41
帖子: 35
送出感谢: 0 次
接收感谢: 0 次
首先,下载update-manager-core_0.87.10_i386.deb(http://packages.ubuntu.com/hardy/admin/update-manager-core,备用。
然后,打开新立得,它会提示你update-manage包已经broken,占击右键,选择mark for complete removal。
第三步,进入终端或虚拟控制台,键入
代码:
dpkg -i update-manager-core_0.87.10_i386.deb

安装过程中应该不会提示什么错误。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-03-26 0:30 
头像

注册: 2007-07-25 9:45
帖子: 100
地址: 火星
送出感谢: 0 次
接收感谢: 0 次
还是不行 我现在也 遇到了阿


_________________
-------------------赤色-------------------


页首
 用户资料  
 
7 楼 
 文章标题 : Re: [求助]升级 8.04后遇到update-manager的问题。
帖子发表于 : 2008-03-27 7:47 

注册: 2008-03-27 7:35
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
我升级了8.04但是没有遇见大家所说的问题,我估计是由于kernel引起的倚赖关系,所以建议大家升级2.6.24后然后自动会要求你升级到8.04的


shenxiaoshan 写道:
下面是终端给出的提示信息:
The following packages will be upgraded:
update-manager
1 upgraded, 0 newly installed, 0 to remove and 8 not upgraded.
Need to get 0B/895kB of archives.
After this operation, 57.3kB of additional disk space will be used.
(Reading database ... 123458 files and directories currently installed.)
Preparing to replace update-manager 1:0.81.2 (using .../update-manager_1%3a0.87.9_all.deb) ...
Traceback (most recent call last):
File "/usr/bin/pycentral", line 1674, in <module>
main()
File "/usr/bin/pycentral", line 1668, in main
rv = action.run(global_options)
File "/usr/bin/pycentral", line 1169, in run
pkg.prepare(used_runtimes, old_used_runtimes, old_pkg)
File "/usr/bin/pycentral", line 803, in prepare
rt.remove_byte_code(removed_fs)
AttributeError: 'NoneType' object has no attribute 'remove_byte_code'
dpkg: error processing /var/cache/apt/archives/update-manager_1%3a0.87.9_all.deb (--unpack):
subprocess pre-installation script returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/update-manager_1%3a0.87.9_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

我点击update-manager_1%3a0.87.9_all.deb,报告说有严重依赖关系错误,无法安装。请各位帮忙。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Sogou [Spider] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译